> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company



## OpenAPI

````yaml /openapi/plus.json get /v1/plus/company/
openapi: 3.0.3
info:
  title: Yume API — Plus
  version: 1.0.0
  description: Подключаемые продукты тарифа Plus.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/plus/company/:
    get:
      tags:
        - company
      summary: Get company
      operationId: company_retrieve
      parameters:
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlusTenant'
          description: ''
      security:
        - jwtAuth: []
        - {}
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PlusTenant:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          nullable: true
          title: Название компании
          maxLength: 255
        address:
          type: string
          title: Адрес
          maxLength: 255
        logo:
          type: string
          format: uri
          nullable: true
          title: Логотип
        background:
          type: string
          format: uri
          nullable: true
          title: Фон
        brand_color:
          type: string
          title: Фирменный цвет
          maxLength: 7
        extra:
          title: Доп. данные
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          title: Валюта
        country:
          allOf:
            - $ref: '#/components/schemas/CountryEnum'
          title: Страна
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        companies:
          type: array
          items:
            $ref: '#/components/schemas/PlusCompany'
        public:
          type: boolean
      required:
        - companies
        - created_at
        - id
        - public
    CurrencyEnum:
      enum:
        - KZT
        - USD
        - RUB
        - EUR
        - UZS
        - KGS
        - AED
        - SAR
      type: string
      description: |-
        * `KZT` - KZT
        * `USD` - USD
        * `RUB` - RUB
        * `EUR` - EUR
        * `UZS` - UZS
        * `KGS` - KGS
        * `AED` - AED
        * `SAR` - SAR
    CountryEnum:
      enum:
        - KZ
        - KG
        - UZ
        - TR
        - SA
        - AE
      type: string
      description: |-
        * `KZ` - Казахстан
        * `KG` - Кыргызстан
        * `UZ` - Узбекистан
        * `TR` - Турция
        * `SA` - Саудовская Аравия
        * `AE` - ОАЭ
    PlusCompany:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        price_from:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        worktimes:
          type: array
          items:
            $ref: '#/components/schemas/Worktime'
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        rental_point_id:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
          nullable: true
        active:
          type: boolean
        name:
          type: string
          maxLength: 255
        description:
          type: string
          nullable: true
        address:
          type: string
          maxLength: 255
        address_url:
          type: string
          format: uri
          nullable: true
          maxLength: 200
        icon:
          type: string
          format: uri
          nullable: true
        background:
          type: string
          format: uri
          nullable: true
        extra: {}
        payment:
          type: boolean
        tenant:
          type: integer
          nullable: true
        user:
          type: integer
          nullable: true
        category:
          type: integer
          nullable: true
      required:
        - created_at
        - id
        - name
        - updated_at
        - worktimes
    Worktime:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        start:
          type: string
          format: time
        end:
          type: string
          format: time
        weekdays:
          type: array
          items:
            type: integer
      required:
        - end
        - id
        - start
        - weekdays
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````